package com.link.core.objlocalhandle.kafka;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

@Configuration
@EnableScheduling
public class MonitorKafkaActive {
   private static Logger logger = LoggerFactory.getLogger(MonitorKafkaActive.class);

   @Scheduled(
      fixedRate = 60000L
   )
   public void checkKafkaTasks() {
      KafkaEventHandler.KAFKA_CAN_USED = true;
   }
}
